LibreOffice: XProfileManager Interface Reference

LibreOffice LibreOffice 5.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
XProfileManager Interface Referencepublished

is the interface to boot up and switch Mozilla/Thunderbird profiles More...

`import"XProfileManager.idl";`

Inheritance diagram for XProfileManager:

## Public Member Functions
long | bootupProfile ([in]MozillaProductType product,[in]string profileName)
| attempts to init XPCOM runtime using given profile. More...
long | shutdownProfile ()
| attempts to shutdown the current profile. More...
MozillaProductType | getCurrentProduct ()
| attempts to get the current product. More...
string | getCurrentProfile ()
| attempts to get the current profile name. More...
boolean | isCurrentProfileLocked ()
| attempts to check whether the current profile locked or not More...
string | setCurrentProfile ([in]MozillaProductType product,[in]string profileName)
| attempts to set the current used profile name for the given product. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is the interface to boot up and switch Mozilla/Thunderbird profiles

See also
  com::sun::star::mozilla::MozillaProductType
  com::sun::star::mozilla::XProfileDiscover
  com::sun::star::mozilla::MozillaBootstrap

## Member Function Documentation

long bootupProfile | ( | [in] MozillaProductType | product,
|  | [in] string | profileName
| ) |  |

attempts to init XPCOM runtime using given profile.

Parameters

  product | is the product to start up.
  profileName | the profile name to be used.

Returns
  the current reference count for the given profile.

MozillaProductType getCurrentProduct | ( |  | ) |

attempts to get the current product.

Returns
  the current used product.

string getCurrentProfile | ( |  | ) |

attempts to get the current profile name.

Returns
  the current used profile.

boolean isCurrentProfileLocked | ( |  | ) |

attempts to check whether the current profile locked or not

Returns
  return sal_True is current profile is locked

string setCurrentProfile | ( | [in] MozillaProductType | product,
|  | [in] string | profileName
| ) |  |

attempts to set the current used profile name for the given product.

Parameters

  product | is the product to be used.
  profileName | the profile name to be used.

Returns
  the current used profile name for the given product.

long shutdownProfile | ( |  | ) |

attempts to shutdown the current profile.

Returns
  the current reference count for the current profile.

The documentation for this interface was generated from the following file:

- com/sun/star/mozilla/XProfileManager.idl